#!/usr/bin/perl -w
use strict;
use lib '/var/www/lib';

use Apache::SizeLimit;
$Apache::SizeLimit::MAX_PROCESS_SIZE = 128_000;  # 128,000 kbytes, ie, 128 meg
$Apache::SizeLimit::CHECK_EVERY_N_REQUESTS = 1;

use DBI;
use DBD::Oracle;

use Crypt::DSA;

BEGIN {
  require '/etc/httpd/conf/rhn-module-preload.pl'
};

Apache->push_handlers(PerlChildInitHandler => sub { RHN::DB->apache_child_init_handler } );

1;
